package library.ext

import android.content.Context
import java.io.File

fun String?.assetsPath(): String =  "file:///android_asset/$this"

fun String?.cachePath(context: Context?): String = "${context?.cacheDir}${File.separator}$this"

fun String?.downloadPath(context: Context?): String = "${context?.filesDir}${File.separator}$this"

fun emotion(emotion: String?): String? = emotion?.takeIf { it.isNotBlank() }?.let { "emotion/${emotion}.json"  }